import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'
const infoKey = 'userInfo'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getUserInfo() {
  return JSON.parse(Cookies.get(infoKey))
}

export function setUserInfo(userinfo) {
  return Cookies.set(infoKey, JSON.stringify(userinfo))
}
